Facebook
React
reactnative

react-native install react-native-fbsdk で Expected "/*", "//", or "{" but "<" found. エラー

More than 1 year has passed since last update.

ReactNativeでFacebookログイン使用として公式ドキュメントに従い、react-native install react-native-fbsdk したところ以下のエラーで怒られました。

rnpm-install ERR! Something went wrong while linking. Error: Expected "/*", "//", or "{" but "<" found. 
Please file an issue here: https://github.com/facebook/react-native/issues 

Expected "/*", "//", or "{" but "<" found.

よくわからないのでぐぐってみると、https://github.com/facebook/react-native/issues/10032#issuecomment-309087710 に解決方法がありました。

react-native install react-native-fbsdkの代わりにnpm install react-native-fbsdk@0.6.0 --saveでインストールしなさいよということだったので、試してみると無事インストール成功しました。

そのあとのリンクもreact-native link react-native-fbsdkコマンドで正常終了。

誰かがReactNativeやるとissue漁ることになると書いてましたが、割りとその通りになってきました。